> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ankra.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Notification Route Endpoint



## OpenAPI

````yaml https://platform.ankra.app/openapi.json post /api/v1/org/notifications/routes
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://platform.ankra.app
security: []
paths:
  /api/v1/org/notifications/routes:
    post:
      tags:
        - Notifications API
      summary: Create Notification Route Endpoint
      operationId: create_notification_route_endpoint_api_v1_org_notifications_routes_post
      parameters:
        - in: header
          name: authorization
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Authorization
        - in: header
          name: x-ankra-organisation-id
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Ankra-Organisation-Id
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/NotificationRouteCreateBody'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NotificationRoute'
          description: Successful Response
        '401':
          description: Unauthorized
        '404':
          description: Not found
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
components:
  schemas:
    NotificationRouteCreateBody:
      properties:
        kind:
          anyOf:
            - type: string
            - type: 'null'
          title: Kind
        severity:
          anyOf:
            - type: string
            - type: 'null'
          title: Severity
        cluster_id:
          anyOf:
            - format: uuid4
              type: string
            - type: 'null'
          title: Cluster Id
        source_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Source Id
        destination_id:
          format: uuid4
          title: Destination Id
          type: string
        priority:
          default: 100
          title: Priority
          type: integer
        stop_on_match:
          default: false
          title: Stop On Match
          type: boolean
        mode:
          default: include
          title: Mode
          type: string
        enabled:
          default: true
          title: Enabled
          type: boolean
      required:
        - destination_id
      title: NotificationRouteCreateBody
      type: object
    NotificationRoute:
      properties:
        id:
          format: uuid4
          title: Id
          type: string
        organisation_id:
          format: uuid4
          title: Organisation Id
          type: string
        kind:
          anyOf:
            - type: string
            - type: 'null'
          title: Kind
        severity:
          anyOf:
            - type: string
            - type: 'null'
          title: Severity
        cluster_id:
          anyOf:
            - format: uuid4
              type: string
            - type: 'null'
          title: Cluster Id
        source_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Source Id
        destination_id:
          format: uuid4
          title: Destination Id
          type: string
        priority:
          title: Priority
          type: integer
        stop_on_match:
          title: Stop On Match
          type: boolean
        mode:
          title: Mode
          type: string
        enabled:
          title: Enabled
          type: boolean
        created_at:
          format: date-time
          type: string
          title: Created At
        updated_at:
          format: date-time
          type: string
          title: Updated At
      required:
        - id
        - organisation_id
        - kind
        - severity
        - cluster_id
        - source_id
        - destination_id
        - priority
        - stop_on_match
        - mode
        - enabled
        - created_at
        - updated_at
      title: NotificationRoute
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object

````